[supervisord]
nodaemon=true

[program:bokeh]
command=bokeh serve ./main.py --port 5020 --allow-websocket-origin=* --use-xheaders --prefix dsi-parser-frontend
autostart=true
autorestart=true
stderr_logfile=/var/log/bokeh_stderr.log
stdout_logfile=/var/log/bokeh_stdout.log

[program:fastapi]
command=uvicorn restAPIServer:app --host 0.0.0.0 --port 5021
autostart=true
autorestart=true
stderr_logfile=/var/log/fastapi_stderr.log
stdout_logfile=/var/log/fastapi_stdout.log
